Show / Hide Table of Contents

# Class Timings

Class for measuring time taken in various subsystems.

##### Inheritance

System.Object
Timings

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility.Timing

###### Assembly: Dalamud.dll

##### Syntax

    public static class Timings

### Methods

| Improve this Doc View Source

#### AttachTimingHandle(Action)

Attaches timing handle to an Action.

##### Declaration

    public static Action AttachTimingHandle(Action task)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action | task | Task to attach.

##### Returns

Type | Description
--- | ---
System.Action | Attached task.

| Improve this Doc View Source

#### AttachTimingHandle<T>(Func<T>)

Attaches timing handle to a Func{T}.

##### Declaration

    public static Func<T> AttachTimingHandle<T>(Func<T> task)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<T> | task | Task to attach.

##### Returns

Type | Description
--- | ---
System.Func<T> | Attached task.

##### Type Parameters

Name | Description
--- | ---
T | Return type.

| Improve this Doc View Source

#### Event(String, String, String, Int32)

Record a one-time event.

##### Declaration

    public static void Event(string name, string memberName = "", string sourceFilePath = "", int sourceLineNumber = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the timing.
System.String | memberName | Name of the calling member.
System.String | sourceFilePath | Name of the calling file.
System.Int32 | sourceLineNumber | Name of the calling line number.

| Improve this Doc View Source

#### Start(String, String, String, Int32)

Start a new timing.

##### Declaration

    public static IDisposable Start(string name, string memberName = "", string sourceFilePath = "", int sourceLineNumber = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the timing.
System.String | memberName | Name of the calling member.
System.String | sourceFilePath | Name of the calling file.
System.Int32 | sourceLineNumber | Name of the calling line number.

##### Returns

Type | Description
--- | ---
System.IDisposable | Disposable that stops the timing once disposed.